PETSc version 3.15.5
Fix/Edit manual page

# MatProductSetFromOptions

Creates a matrix product where the type, the algorithm etc are determined from the options database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductSetFromOptions(Mat mat)

Logically Collective on Mat

### Input Parameter

| mat | - the matrix

### Options Database Keys

| -mat_product_clear | - Clear intermediate data structures after MatProductNumeric() has been called

### See Also

MatSetFromOptions(), MatProductCreate(), MatProductCreateWithMat()

### Level

intermediate

### Location

src/mat/interface/matproduct.c

### Examples

src/tao/pde_constrained/tutorials/parabolic.c.html

### Implementations

MatProductSetFromOptions_MPIAIJBACKEND in src/mat/impls/aij/mpi/mpiaij.c
MatProductSetFromOptions_MPIAIJ in src/mat/impls/aij/mpi/mpimatmatmult.c
MatProductSetFromOptions_SeqAIJMKL in src/mat/impls/aij/seq/aijmkl/aijmkl.c
MatProductSetFromOptions_SeqAIJ in src/mat/impls/aij/seq/matmatmult.c
MatProductSetFromOptions_SeqAIJCUSPARSE in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatProductSetFromOptions_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatProductSetFromOptions_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
MatProductSetFromOptions_SeqDense in src/mat/impls/dense/seq/dense.c
MatProductSetFromOptions_Elemental in src/mat/impls/elemental/matelem.cxx
MatProductSetFromOptions_HARA in src/mat/impls/hara/mathara.cu
MatProductSetFromOptions_HYPRE in src/mat/impls/hypre/mhypre.c
MatProductSetFromOptions_ScaLAPACK in src/mat/impls/scalapack/matscalapack.c
MatProductSetFromOptions_CF in src/mat/impls/shell/shellcnv.c
MatProductSetFromOptions_Transpose in src/mat/impls/transpose/transm.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages